using System.Reflection;
using System.Runtime.CompilerServices;

//
// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
//
[assembly: AssemblyTitle("RR_CLI")]
[assembly: AssemblyDescription("RedRat Command Line Utility")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("RedRat Ltd")]
[assembly: AssemblyProduct("")]
[assembly: AssemblyCopyright("")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]		

//
// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version 
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Revision and Build Numbers 
// by using the '*' as shown below:

//
// V1.0  - First release.
// 
// V1.1  - Changed to store data in binary format by default.
//       - Added XML option.
//
// V1.2  - Updated to SDK V0.10.
//       - Used assembly versioning.
//
// V1.3  - Using .NET Framework 1.1
//       - Using SDK V0.16
//
// V1.4  - Using SDK V0.17
//       - Added support for output of IrDa signals.
//
// V1.5  - Added stack trace for exceptions.
//       - Using V1.20 of RedRat.dll/SDK
//
// V1.6  - Can now also select the RR3 to use via its friendly "location" name.
//       - Using V1.22/1.23 of SDK.
//
// V1.7  - Set as server process so that can be called from web servers etc.
//
// V1.8  - Added support for DoubleSignals, but only outputs sig1.
//
// V2.0  - Ported to .NET 2.0
//
// V2.20 - Uses V2.20 of the SDK, i.e. supports RedRat3-IIs.
//       - Released 16th May 2008.
//
// V2.21 - Build explicitly for x86, so will run on both 32-bit and 64-bit systems (the
//         latter as a 32bit exe).
//       - Uses V2.21 of the SDK.
//       - Released 3rd July 2009.
//
// V2.22 - Bug in RedRat3USBImpl caused null object exception with signal capture.
//       - Released 20th July 2009.
//
// V3.00 - Moved to .NET 3.5.
//
// V3.01 - Can now output an IR signal loaded from the XML DB file.
//       - Feb 2012.
//
[assembly: AssemblyVersion("3.01.*")]

//
// In order to sign your assembly you must specify a key to use. Refer to the 
// Microsoft .NET Framework documentation for more information on assembly signing.
//
// Use the attributes below to control which key is used for signing. 
//
// Notes: 
//   (*) If no key is specified, the assembly is not signed.
//   (*) KeyName refers to a key that has been installed in the Crypto Service
//       Provider (CSP) on your machine. KeyFile refers to a file which contains
//       a key.
//   (*) If the KeyFile and the KeyName values are both specified, the 
//       following processing occurs:
//       (1) If the KeyName can be found in the CSP, that key is used.
//       (2) If the KeyName does not exist and the KeyFile does exist, the key 
//           in the KeyFile is installed into the CSP and used.
//   (*) In order to create a KeyFile, you can use the sn.exe (Strong Name) utility.
//       When specifying the KeyFile, the location of the KeyFile should be
//       relative to the project output directory which is
//       %Project Directory%\obj\<configuration>. For example, if your KeyFile is
//       located in the project directory, you would specify the AssemblyKeyFile 
//       attribute as [assembly: AssemblyKeyFile("..\\..\\mykey.snk")]
//   (*) Delay Signing is an advanced option - see the Microsoft .NET Framework
//       documentation for more information on this.
//
[assembly: AssemblyDelaySign(false)]
[assembly: AssemblyKeyFile("")]
[assembly: AssemblyKeyName("")]
