namespace RedRat.TestRemote
{

    /// <summary>
    /// Button associated with an IR action.
    /// </summary>
    public class IRButton : System.Windows.Forms.Button
    {
        protected ButtonInfo info = new ButtonInfo();

        public ButtonInfo Info
        {
            get => info;
            set
            {
                info = value;
                // Set GUI button's state from info.
                base.Text = info.Text;
            }
        }

        public override string Text
        {
            get => base.Text;
            set
            {
                info.Text = value; // Store in info object.
                base.Text = value;
            }
        }
    }
}
